Name:           cel
Version:        1.2
Release:        8%{?dist}
Summary:        Crystal Entity Layer
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.crystalspace3d.org/main/CEL
Source0:        http://www.crystalspace3d.org/downloads/release/%{name}-src-%{version}.tar.bz2
Patch0:         cel-src-1.2-bogus-shbang.patch
Patch1:         cel-1.2-gcc44.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  jam crystalspace-devel >= 1.2 python-devel
# crystalspace is ExcludeArch: ppc ppc64 for now (due to triggering a gcc bug)
ExcludeArch:    ppc ppc64

%description
Crystal Entity Layer (CEL) is a game entity layer based on Crystal Space.
It makes it easier for game developers to create games based on Crystal Space.
CEL can optionally be used together with Python or other scripting languages.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        CEL documentation
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    doc
CEL documentation.


%package        demos
Summary:        CEL demo and example programs
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    demos
CEL demo and example programs.


%prep
%setup -q -n %{name}-src-%{version}
%patch0 -p1
%patch1 -p1
# no custom CFLAGS please
sed -i 's/COMPILER.CFLAGS.optimize += -O3 ;//' Jamrules
# some general cleanups (make rpmlint happy)
chmod -x plugins/propclass/mechanics/mechanics.* plugins/propclass/hover/*.cpp
chmod -x include/propclass/*.h


%build
# --disable-meta-info-embedding as it conflicts with -debuginfo generation
%configure --disable-separate-debug-info --disable-meta-info-embedding
# we want shared libs
echo "BUILD_SHARED_LIBS ?= "yes" ;" >> Jamconfig
sed -i 's/COMPILER.CFLAGS += "-fvisibility=hidden" ;//' Jamconfig
jam -dx %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT jam -dx install
install -p -m 644 COPYING $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} 

# and again some general cleanups
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib%{name}*-%{version}.so
# contains arch dependent (.so) files
mv $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bindings \
  $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc %dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/COPYING
%config(noreplace) %{_sysconfdir}/%{name}-%{version}
%{_bindir}/bootstrap*
%{_bindir}/celstart*
%{_libdir}/lib%{name}*-%{version}.so
%{_libdir}/%{name}-%{version}
%{_datadir}/%{name}-1.2

%files devel
%defattr(-,root,root,-)
%{_bindir}/%{name}-config*
%{_includedir}/%{name}-1.2

%files doc
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/html
%doc %{_docdir}/%{name}-%{version}/history.txt

%files demos
%defattr(-,root,root,-)
%{_bindir}/evolvecraft*
%{_bindir}/nettest*
%{_bindir}/hovertest*
%{_bindir}/walktut*
%{_bindir}/wheeledtest*
%{_bindir}/celtst*


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Hans de Goede <hdegoede@redhat.com> 1.2-6
- Fix building with gcc-4.4

* Thu Dec 04 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2-5
- Rebuild for Python 2.6

* Mon Dec  1 2008 Hans de Goede <hdegoede@redhat.com> 1.2-4
- Fix unowned directories (rh 473632)

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2-3
- Rebuild for Python 2.6

* Sun Mar  9 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2-2
- Add ldconfig scriplets
- Add license file to main package

* Thu Feb  7 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2-1
- Initial Fedora package based on mandriva / pclinuxos specfile
